﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
               Transaction Report
            </h1>
            @*<h3>
                Total: {{TotalAmount}}
            </h3>*@
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                @*<i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>*@
            </a>
            @*<a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Share Report" ng-click="shareReport()">
                    <i style="margin-top: 11px;" class="fg-black icon-share-2"></i>
                </a>*@
            @*<a class="action on-left-more" jb-tooltip="" data-toggle="tooltip" data-placement="bottom" title="" ng-click="MakeCampaign()" data-original-title="Email members">
                    <i style="margin-top: 11px;" class="fg-black jbi-email"></i>
                </a>*@
        </div>
        <div class="clearfix"></div>
        <div style="padding-right: 10px;">
            <div class="one-half place-left">
                <div class="half-size place-left">
                    <div data-format="mm/dd/yyyy" data-effect="fade">
                        <label>Start date</label>
                        <input kendo-date-picker ng-model="Model.UpdateFrom" type="text" placeholder="mm/dd/yyyy" />
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="half-size place-left">
                    <div data-format="mm/dd/yyyy" data-effect="fade">
                        <label>End date</label>
                        <input kendo-date-picker ng-model="Model.UpdateTo" type="text" placeholder="mm/dd/yyyy" />
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Payment method</label>
            <div class="input-control select" data-role="input">
                <select ng-model="Model.PaymentMethod" ng-options="obj.Value as obj.Text for obj in Model.PaymentMethods"></select>
            </div>
        </div>
        <div class="clearfix"></div>
        <input class="default button place-right" type="button" value="Filter data" ng-click="filterData()">
        <div class="clearfix"></div>
        <br />
        <input class="default button place-right" type="button" value="Clear filter" ng-click="clearFilters()">
        <div class="clearfix"></div>
        <hr />
    </div>
   
    <div class="clearfix"></div>
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="mainGrid" options="mainGridOptions" class="scroll resizable"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <hr />
    <h4 class="place-left margin-bottom20"><strong>The total Transaction</strong></h4>
    <div class="clearfix"></div>
    <div style="position:relative; height: 250px">
        <div kendo-chart k-options="pieChartOption" style="height:100%;width:100%;position:absolute;"></div>
    </div>
    <div class="clearfix"></div>
</div>

